XmVaCreateLabel(3)

NAME
XmVaCreateLabel, XmVaCreateManagedLabel — A Label widget convenience creation functions.

SYNOPSIS

#include <Xm/Label.h>

Widget XmVaCreateLabel(
Widget parent,
String name,
...);

Widget XmVaCreateManagedLabel(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a Label widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateLabel function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedLabel function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of Label and its associated resources, see XmLabel(3).

RETURN

Returns the Label widget ID.

RELATED

XmLabel(3), XmCreateLabel(3), XtCreateWidget(3), and XtCreateManagedWidget(3).